| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
WireProtocolConfigQos Class Reference

Qos Policy that configures the wire protocol. More...

`#include <QosPolicies.hpp>`

Inheritance diagram for WireProtocolConfigQos:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API | WireProtocolConfigQos ()
| Constructor.
virtual FASTDDS_EXPORTED_API | ~WireProtocolConfigQos ()=default
| Destructor.
bool | operator== (const WireProtocolConfigQos &b) const
void | clear () override
| Clears the QosPolicy object.
ReturnCode_t | easy_mode (const std::string &ip)
| Setter for ROS 2 Easy Mode IP.
const std::string & | easy_mode () const
| Getter for ROS 2 Easy Mode IP.
Public Member Functions inherited from QosPolicy
| QosPolicy ()
| Constructor without parameters.
| QosPolicy (bool send_always)
| Constructor.
| QosPolicy (const QosPolicy &b)=default
| Copy Constructor.
virtual | ~QosPolicy ()=default
| Destructor.
bool | operator== (const QosPolicy &b) const
QosPolicy & | operator= (const QosPolicy &b)=default
virtual bool | send_always () const
| Whether it should always be sent.

## Public Attributes

fastdds::rtps::GuidPrefix_t | prefix
| Optionally allows user to define the GuidPrefix_t.
int32_t | participant_id
| Participant ID By default, -1.
fastdds::rtps::BuiltinAttributes | builtin
| Builtin parameters.
fastdds::rtps::PortParameters | port
| Port Parameters.
rtps::LocatorList | default_unicast_locator_list
| Default list of Unicast Locators to be used for any Endpoint defined inside this RTPSParticipant in the case that it was defined with NO UnicastLocators.
rtps::LocatorList | default_multicast_locator_list
| Default list of Multicast Locators to be used for any Endpoint defined inside this RTPSParticipant in the case that it was defined with NO MulticastLocators.
rtps::ExternalLocators | default_external_unicast_locators
| The collection of external locators to use for communication on user created topics.
bool | ignore_non_matching_locators = false
| Whether locators that don't match with the announced locators should be kept.
Public Attributes inherited from QosPolicy
bool | hasChanged
| Boolean that indicates if the Qos has been changed with respect to the default Qos.

## Additional Inherited Members

Protected Attributes inherited from QosPolicy
bool | send_always_
| Boolean that indicates if the Qos has to be sent even if it is not changed.

## Detailed Description

Qos Policy that configures the wire protocol.

## Constructor & Destructor Documentation

## ◆ WireProtocolConfigQos()

FASTDDS_EXPORTED_API WireProtocolConfigQos | ( |  | ) |

inline

Constructor.

## ◆ ~WireProtocolConfigQos()

virtual FASTDDS_EXPORTED_API ~WireProtocolConfigQos | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |

inline override virtual

Clears the QosPolicy object.

Implements QosPolicy.

## ◆ easy_mode() [1/2]

const std::string & easy_mode | ( |  | ) | const

inline

Getter for ROS 2 Easy Mode IP.

Returns
  IP address if set, empty string otherwise

## ◆ easy_mode() [2/2]

ReturnCode_t easy_mode | ( | const std::string & | ip | ) |

inline

Setter for ROS 2 Easy Mode IP.

Parameters

  ip | IP address to set

Note
  The IP address must be an IPv4 address. If it is not, the IP address will not be set.

Returns
  RETCODE_OK if the IP address is set, an specific error code otherwise: RETCODE_BAD_PARAMETER if the IP address is not an IPv4 address.

## ◆ operator==()

bool operator== | ( | const WireProtocolConfigQos & | b | ) | const

inline

## Member Data Documentation

## ◆ builtin

fastdds::rtps::BuiltinAttributes builtin

Builtin parameters.

## ◆ default_external_unicast_locators

rtps::ExternalLocators default_external_unicast_locators

The collection of external locators to use for communication on user created topics.

## ◆ default_multicast_locator_list

rtps::LocatorList default_multicast_locator_list

Default list of Multicast Locators to be used for any Endpoint defined inside this RTPSParticipant in the case that it was defined with NO MulticastLocators.

This is usually left empty.

## ◆ default_unicast_locator_list

rtps::LocatorList default_unicast_locator_list

Default list of Unicast Locators to be used for any Endpoint defined inside this RTPSParticipant in the case that it was defined with NO UnicastLocators.

At least ONE locator should be included in this list.

## ◆ ignore_non_matching_locators

bool ignore_non_matching_locators = false

Whether locators that don't match with the announced locators should be kept.

## ◆ participant_id

int32_t participant_id

Participant ID
By default, -1.

## ◆ port

fastdds::rtps::PortParameters port

Port Parameters.

## ◆ prefix

fastdds::rtps::GuidPrefix_t prefix

Optionally allows user to define the GuidPrefix_t.

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/QosPolicies.hpp